#
# Conditional build:
%bcond_without	verify	# don't verify database

Summary:	Wireless regulatory database for Linux drivers
Summary(pl.UTF-8):	Baza danych przepisów dotyczących sieci bezprzewodowych dla sterowników linuksowych
Name:		wireless-regdb
Version:	2015.10.22
Release:	1
License:	ISC
Group:		Networking/Daemons
Source0:	https://www.kernel.org/pub/software/network/wireless-regdb/%{name}-%{version}.tar.xz
# Source0-md5:	f787fb05278c3c68e7391954b7788cd4
URL:		http://wireless.kernel.org/en/developers/Regulatory
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
%{?with_verify:BuildRequires:	crda}
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_datadir	/lib

%description
This package contains the wireless regulatory database used by all
cfg80211 based Linux wireless drivers.

%description -l pl.UTF-8
Ten pakiet zawiera bazę danych przepisów dotyczących częstotliwości
dopuszczonych dla sieci bezprzewodowych, wykorzystywaną przez
wszystkie linuksowe sterowniki bezprzewodowe oparte na cfg80211.

%prep
%setup -q

%build
%if %{with verify}
PATH=/sbin:$PATH \
regdbdump regulatory.bin > dump.txt
test -s dump.txt
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_datadir}/crda,%{_mandir}/man5}
cp -p regulatory.bin $RPM_BUILD_ROOT%{_datadir}/crda/regulatory.bin
cp -p regulatory.bin.5 $RPM_BUILD_ROOT%{_mandir}/man5

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc LICENSE README
%{_datadir}/crda
%{_mandir}/man5/regulatory.bin.5*
%changelog
* Tue Nov 03 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/wireless-regdb.git;a=log;h=master

* Tue Nov 03 2015 Jakub Bogusz <qboosh@pld-linux.org> 8d64f8f
- updated to 2015.10.22

* Sat Oct 17 2015 Jakub Bogusz <qboosh@pld-linux.org> 13fca8f
- updated to 2015.10.13

* Sun Oct 04 2015 Jakub Bogusz <qboosh@pld-linux.org> bd1c81f
- updated to 2015.09.25

* Sat Sep 05 2015 Jakub Bogusz <qboosh@pld-linux.org> c9ef234
- updated to 2015.07.20

* Wed Jun 24 2015 Jakub Bogusz <qboosh@pld-linux.org> 6e52148
- updated to 2015.06.05

* Sat Apr 11 2015 Jakub Bogusz <qboosh@pld-linux.org> 224de49
- updated to 2015.04.06

* Fri Feb 06 2015 Jakub Bogusz <qboosh@pld-linux.org> a23851d
- updated to 2015.01.30

* Fri Nov 21 2014 Jakub Bogusz <qboosh@pld-linux.org> ad75f5c
- updated to 2014.11.18

* Mon Nov 17 2014 Jakub Bogusz <qboosh@pld-linux.org> 162efc4
- updated to 2014.11.07

* Sat Oct 11 2014 Jakub Bogusz <qboosh@pld-linux.org> 958eff2
- updated to 2014.10.07

* Sat Jun 14 2014 Jakub Bogusz <qboosh@pld-linux.org> ad9e837
- updated to 2014.06.13

* Sat May 24 2014 Jakub Bogusz <qboosh@pld-linux.org> 0e5af39
- updated to 2014.05.19

* Sun Dec 01 2013 Jakub Bogusz <qboosh@pld-linux.org> e13340d
- updated to 2013.11.27

* Sun Oct 20 2013 Jakub Bogusz <qboosh@pld-linux.org> 4b1c811
- updated to 2013.10.11

* Mon Mar 04 2013 Elan Ruusamäe <glen@delfi.ee> 67e66e6
- regdbdump is in /sbin

* Mon Mar 04 2013 Elan Ruusamäe <glen@delfi.ee> dfe6ad6
- do regulatory.bin verification in wireless-regdb

* Mon Mar 04 2013 Elan Ruusamäe <glen@delfi.ee> 5af9c79
- up to 2013.02.13

* Sat Jan 19 2013 Jakub Bogusz <qboosh@pld-linux.org> 33c06cb
- updated to 2013.01.11

* Wed Nov 09 2011 Jakub Bogusz <qboosh@pld-linux.org> 6852c94
- pl

* Sat Oct 01 2011 arvenil <arvenil@pld-linux.org> 8407ce7
- up to 2011.04.28
- updated url

